Pages de transition
GET https://k.aws.bj/api/splash-pages/
curl --request GET \
--url 'https://k.aws.bj/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://k.aws.bj/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Optionnel Chaîne | Texte de recherche. |
| search_by | Optionnel Chaîne | Champ de recherche. Valeurs : name. |
| datetime_field | Optionnel Chaîne | Valeurs : datetime, last_datetime |
| datetime_start | Optionnel Chaîne | Début (format d-m-Y H:i:s). |
| datetime_end | Optionnel Chaîne | Fin (format d-m-Y H:i:s). |
| order_by | Optionnel Chaîne | Champ de tri. Valeurs : splash_page_id, datetime, last_datetime, name. |
| order_type | Optionnel Chaîne | Ordre : ASC (croissant) ou DESC (décroissant). |
| page | Optionnel Entier | Numéro de page. Par défaut : 1. |
| results_per_page | Optionnel Entier | Résultats par page. Valeurs : 10, 25, 50, 100, 250, 500, 1000. Défaut : 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-05-13 23:51:18",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://k.aws.bj/api/projects?page=1",
"last": "https://k.aws.bj/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://k.aws.bj/api/projects?page=1"
}
}
GET https://k.aws.bj/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://k.aws.bj/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://k.aws.bj/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-05-13 23:51:18",
}
}
POST https://k.aws.bj/api/projects
| Paramètres | Détails | Description |
|---|---|---|
| name | Obligatoire Chaîne | - |
| title | Optionnel Chaîne | - |
| logo | Optionnel Fichier | - |
| favicon | Optionnel Fichier | - |
| opengraph | Optionnel Fichier | - |
| description | Optionnel Chaîne | - |
| secondary_button_name | Optionnel Chaîne | - |
| secondary_button_url | Optionnel Chaîne | - |
| custom_css | Optionnel Chaîne | - |
| custom_js | Optionnel Chaîne | - |
| ads_header | Optionnel Chaîne | - |
| ads_footer | Optionnel Chaîne | - |
| link_unlock_seconds | Optionnel Entier | - |
| auto_redirect | Optionnel Booléen | - |
curl --request POST \
--url 'https://k.aws.bj/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://k.aws.bj/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://k.aws.bj/api/splash-pages/{splash_page_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Optionnel Chaîne | - |
| title | Optionnel Chaîne | - |
| logo | Optionnel Fichier | - |
| favicon | Optionnel Fichier | - |
| opengraph | Optionnel Fichier | - |
| description | Optionnel Chaîne | - |
| secondary_button_name | Optionnel Chaîne | - |
| secondary_button_url | Optionnel Chaîne | - |
| custom_css | Optionnel Chaîne | - |
| custom_js | Optionnel Chaîne | - |
| ads_header | Optionnel Chaîne | - |
| ads_footer | Optionnel Chaîne | - |
| link_unlock_seconds | Optionnel Entier | - |
| auto_redirect | Optionnel Booléen | - |
curl --request POST \
--url 'https://k.aws.bj/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://k.aws.bj/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://k.aws.bj/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://k.aws.bj/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://k.aws.bj/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \